Link company
curl --request POST \
--url https://api.sortx.co.uk/contacts/{id}/company \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"companyId": "<string>",
"expectedRevision": 123,
"role": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
companyId: '<string>',
expectedRevision: 123,
role: '<string>'
})
};
fetch('https://api.sortx.co.uk/contacts/{id}/company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/contacts/{id}/company"
payload = {
"requestId": "<string>",
"companyId": "<string>",
"expectedRevision": 123,
"role": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"email": "<string>",
"mobile": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"addressTown": "<string>",
"addressPostcode": "<string>",
"overseas": true,
"archivedAt": "<string>",
"createdAt": "<string>",
"roles": [
"<string>"
],
"companyId": "<string>",
"companyRevision": 123,
"companyRole": "<string>",
"companyLinkRevision": 123,
"mergedIntoId": "<string>",
"mergedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}contacts
Link company
Link, relink or clear one person’s company affiliation
POST
/
contacts
/
{id}
/
company
Link company
curl --request POST \
--url https://api.sortx.co.uk/contacts/{id}/company \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"companyId": "<string>",
"expectedRevision": 123,
"role": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
companyId: '<string>',
expectedRevision: 123,
role: '<string>'
})
};
fetch('https://api.sortx.co.uk/contacts/{id}/company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/contacts/{id}/company"
payload = {
"requestId": "<string>",
"companyId": "<string>",
"expectedRevision": 123,
"role": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"email": "<string>",
"mobile": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"addressTown": "<string>",
"addressPostcode": "<string>",
"overseas": true,
"archivedAt": "<string>",
"createdAt": "<string>",
"roles": [
"<string>"
],
"companyId": "<string>",
"companyRevision": 123,
"companyRole": "<string>",
"companyLinkRevision": 123,
"mergedIntoId": "<string>",
"mergedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Response
Success